commit:     7de30e93ea0f3c8f9d3240b3ad5eecc54cfaf9af
Author:     Nowa Ammerlaan <nowa <AT> gentoo <DOT> org>
AuthorDate: Thu Dec  5 14:42:42 2024 +0000
Commit:     Nowa Ammerlaan <nowa <AT> gentoo <DOT> org>
CommitDate: Thu Dec  5 14:53:57 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7de30e93

dev-python/notebook: add 7.3.1

Closes: https://bugs.gentoo.org/931663
Signed-off-by: Nowa Ammerlaan <nowa <AT> gentoo.org>

 dev-python/notebook/Manifest              |  1 +
 dev-python/notebook/notebook-7.3.1.ebuild | 66 +++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/notebook/Manifest b/dev-python/notebook/Manifest
index 0ed2b0bf0e97..f60c48d1e299 100644
--- a/dev-python/notebook/Manifest
+++ b/dev-python/notebook/Manifest
@@ -1 +1,2 @@
 DIST notebook-7.2.2.tar.gz 4948876 BLAKE2B 
2f145ee832e9eff647f7c736d116cbf684ae63948d8e2e1da2a1d8f2d1d3df23d198719bde9f8a705eb5b77b62dbd654e16ac4de658fbd4a9a809e37d3add8e4
 SHA512 
b18348e898f6135bea72e759a8137bf32f6ea79619388bd8b3627bd497746a233de69e1b7865bec473a7c49d65f22bc5755afbf79eeb1b4dbb7e0e3e8afe8e7f
+DIST notebook-7.3.1.tar.gz 12777449 BLAKE2B 
76e874c692ecdd6cf0b694c5185184e7f6523ef75e65b3dbe512773f4194dfb56fe41bac6b41af6f5a14fcd7c56251efc68b3812fe20460bd4681bedc6331d1a
 SHA512 
af9f4f85163e5494e3e7540d2ef5cc63304018a1afd3ad48158e5b9192ca6c7b1a23760f62ae372fb4a73c081fab1255649ac592b717270f86266712173f500f

diff --git a/dev-python/notebook/notebook-7.3.1.ebuild 
b/dev-python/notebook/notebook-7.3.1.ebuild
new file mode 100644
index 000000000000..a824646f21bb
--- /dev/null
+++ b/dev-python/notebook/notebook-7.3.1.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi xdg-utils
+
+DESCRIPTION="Jupyter Interactive Notebook"
+HOMEPAGE="
+       https://jupyter.org/
+       https://github.com/jupyter/notebook/
+       https://pypi.org/project/notebook/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+       >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+       <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+       >=dev-python/jupyterlab-4.3.2[${PYTHON_USEDEP}]
+       <dev-python/jupyterlab-4.4[${PYTHON_USEDEP}]
+       >=dev-python/jupyterlab-server-2.27.1[${PYTHON_USEDEP}]
+       <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+       >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+       <dev-python/notebook-shim-0.3[${PYTHON_USEDEP}]
+       >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+       >=dev-python/jupyterlab-4.3.2[${PYTHON_USEDEP}]
+       <dev-python/jupyterlab-4.4[${PYTHON_USEDEP}]
+       test? (
+               dev-python/ipykernel[${PYTHON_USEDEP}]
+               dev-python/nbval[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+               dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+               dev-python/pytest-jupyter[${PYTHON_USEDEP}]
+               dev-python/pytest-timeout[${PYTHON_USEDEP}]
+               dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+       distutils-r1_python_install_all
+       mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}

Reply via email to